Subject: RE: A question regarding how to track decisions in this area

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 1 Mar 2013 09:45:23 -0000

Hi Abdussalam,

As Thomas notes, 6lowpan is in the INT Area.
The DFF I-D has received sponsorship as an individual I-D from one of the INT
ADs.
Although the I-D did not receive much attention in the routing area as it was
developed, it was flagged to MANET and ROLL during IETF last call to give people
a chance to comment and, if necessary observe important impact on routing
systems.
During IETF last call I commissioned a review from a member of the Routing
Directorate. This review along with other last call review comments (such as
yours) have led the editor of the document to say that a new revision is needed
and will be posted soon (probably during IETF week). As a result, the IESG's
evaluation of the document has been deferred until a date toward the end of
March.
The Routing ADs have yet to perform their evaluation of the document and would
be happy to hear from anyone who has concerns about the impact of the work on
routing.

A more abstract question might be: suppose a routing AD decided to individually
sponsor a document in this way, how would the decision be recorded? The answer
would be "in the data tracker for the draft concerned".

Cheers,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:routing-discussion-
> [email-masked]] On Behalf Of Abdussalam Baryun
> Sent: 28 February 2013 22:11
> To: [email-masked]
> Subject: A question regarding how to track decisions in this area
> 
> Hi Folks,
> 
> I have a question regarding the WG under the Routing Area,
> 
> There was one protocol DFF sent to IESG and mentioned that there was
> no WG that relates to it, which I think it was 6Lowpan. I got a
> respond that this WG may not accept new drafts. Please advise why? and
> When/where was the decision made, or how to track such decision in the
> Routing Area?
> 
> AB
> _______________________________________________
> routing-discussion mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/routing-discussion

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 1 Mar 2013 11:40:12 +0100

Hi Adrian,

I tried to find/comment using the tracker for individual drafts
related to routing area but wasn't able, is it only for WG drafts, or
there is away I don't know,

AB

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 1 Mar 2013 11:32:10 -0000

which draft are you asking about?

> From: Abdussalam Baryun [mailto:[email-masked]]
> Sent: 01 March 2013 10:40
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: A question regarding how to track decisions in this area
> 
> Hi Adrian,
>

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 01 Mar 2013 11:57:15 +0000

How about

http://datatracker.ietf.org/

document search on the left - type in dff

Takes you to

http://datatracker.ietf.org/doc/search/?name=dff&activeDrafts=on&rfcs=on

click on draft-cardenas-dff-09 
<http://datatracker.ietf.org/doc/draft-cardenas-dff/>

http://datatracker.ietf.org/doc/draft-cardenas-dff/

Now what is it you want to know about the draft?

Stewart

On 01/03/2013 10:40, Abdussalam Baryun wrote:
> .

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 2 Mar 2013 08:53:54 +0100

Hi Stewart and Adrian,

Yes it was the DFF draft, as example wanted to see its reflect/affect
in routing area, or any individual draft related/maybe-related to
Routing Area. From your guide below I already understood before but
not able to track work per area-drafts, I track work per draft-name,
but where are decisions of editors and management related to area.
However, more important to track decisions in the Area.

For example, how can I see where the individual draft editors ask for
recognition from AD, then the AD agree/disagree, then may negotiate
with other areas or with WGs, or with IETF participants. The history
in the track doesn't show the effort of asking from editors to WGs or
Areas only shows AD adopted. We got a post from that AD in last call
stage which is late. This reminds me of a last call draft edited by
one AD saying there is importance of cross areas and a need decision
structure for IESG, but her I note how can I as participant to track
such drafts related to my area works (e.g. one participant posted in
routing area that DFF draft may affect a WG) to make structure for my
decisions.

In conclusion, I don't want to get notice (decision related) in late
stage that there is an individual draft that may affect my WG/Area and
I should review and decide within 2 weeks while that draft was working
inside the same organisation for long (are we following the IETF
vision in our work flow?). I propose a Last Call Area which should be
not less than 3 months. So if that AD adopts and feels the draft
affects/related to some areas he/she SHOULD announce the Area Last
Call.

just my thoughts and reflection to inputs in IETF routing area,

AB

On 3/1/13, Stewart Bryant <[email-masked]> wrote:
>>> The DFF I-D has received sponsorship as an individual I-D from one of
>>> the
>>> INT
>>> ADs.
>>> Although the I-D did not receive much attention in the routing area as
>>> it
>>> was
>>> developed, it was flagged to MANET and ROLL during IETF last call to
>>> give
>>> people
>>> Directorate. This review along with other last call review comments
>>> (such
>>> as
>>> be happy to hear from anyone who has concerns about the impact of the
>>> work
>>> on
>>> routing.
>>>

---

From: "Stewart Bryant (stbryant)" <[email-masked]>
Date: Sat, 2 Mar 2013 09:48:30 +0000

Have you looked at the comments feed in the data tracker and the search mail facility?

If do these satisfy your needs? If not could you write a script to adapt them to your needs?

-Stewart

Sent from my iPad

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Sat, 2 Mar 2013 10:20:50 +0000

On Feb 28, 2013, at 2:20 PM, Thomas Heide Clausen <[email-masked]> wrote:

> AFAIK, 6LoWPAN is not a routing area WG, so I guess you will have more luck asking elsewhere (say, the AD overseeing 6LoWPAN). 

That would be [email-masked].

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 2 Mar 2013 10:49:20 -0000

Hi again,

Well, OK, individual I-Ds are by their nature individual. So generally you look
them up individually by name. 
That begs the question: how do you know about them? And the answer is that you
don't! 
Is that a good state of affairs? In my opinion it is not, but if an individual
decides that he wants to write a draft and not benefit from IETF review until
the last moment, I suppose that is his affair.

The tools and datatracker do allow you to do some selective searching, but if
you do not know that an I-D exists, you may be lucky and find an appropriate key
word.

Of course, if you are subscribed to IETF-Announce you will receive an email
every time a new version of an I-D is posted. This will give you the name,
title, abstract, and URL. So this is a pretty good way of getting a heads-up
about on-going work.

To carry on the theme: an individual I-D is not "in an area". Maybe it should
be, but it isn't. So there is no per-area hook to hang it on. 
Furthermore, until the author approaches an AD for sponsorship in the
publication process, the I-D is not formally attached to any AD, so there is no
hook there, either.

Once an AD agrees to sponsor an I-D for which publication has been requested, an
association is made between the AD and the I-D. Then you can see the I-D on the
appropriate page in the datatracker. The datatracker allows you to search by
"Responsible AD". For example:
http://datatracker.ietf.org/doc/search/?name=&activeDrafts=on&by=ad&ad=104198&se
arch_submit=

So, if you wanted to search out individual I-D sponsored by the two Routing ADs,
you would repeat this search for Stewart's name.

But note that just because a Routing AD sponsors an I-D does not mean it is
directly relevant to the Routing Area or to routing technology. See that
draft-farrell-ft is shown at the top of my list.

The ADs have a sort of unwritten understanding that sponsoring an I-D that
clearly belongs in a different area is not a very good thing (unless the ADs
from that area specifically request it).

> affects/related to some areas he/she SHOULD announce the Area Last

And nor do I!
But it happens sometimes.
When Stewart or I have sponsored an I-D in the Routing Area, we have made an
effort to discuss the I-D with WGs close to the work in advance of the IETF last
call. That mitigates the problem. And we also have this mailing list.

In this specific case, I believe that the AD concerned (Ralph) genuinely
believed that the document did not have significant impact on the work of the
Routing Area. When I saw the IETF last call , I immediately (and without
actually having read the document) flagged it to ROLL as potentially relevant.
Shortly after, Ralph also flagged it to MANET.

Since this document does not appear for IESG evaluation until later in March,
the Routing ADs would be interested to hear any concerns wrt routing that the
community has.

Cheers,
Adrian

> Sent: 02 March 2013 07:54
> To: [email-masked]; [email-masked]

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 2 Mar 2013 20:21:17 +0100

Hi Adrian and Stewart,

Thanks alot, now I understand the way that I can track them,

Best Regards
Abdussalam Baryun,

On 3/2/13, Adrian Farrel <[email-masked]> wrote:
>> >>> yours) have led the editor of the document to say that a new revision
>> >>> is
>> >>> needed
>> >>> evaluation of the document has been deferred until a date toward the
>> >>> end
>> >>> of
>> >>> March.
>> >>> The Routing ADs have yet to perform their evaluation of the document
>> >>> and
>> >>> would
>> >>> sponsor a document in this way, how would the decision be recorded?
>> >>> The
>> >>> answer